import React from "react";

import { Button } from "./Button";
import { Input } from "./Input";

import styles from "./EmailSignup.module.css";

export function EmailSignup() {
  return (
    <section className={styles.container}>
      <h1 className={styles.header}>Join Our Mailing List!</h1>
      <form className={styles.form} action="">
        <Input type="text" placeholder="Full Name*" required />
        <Input type="email" placeholder="Email*" required />
        <Button type="submit" className={styles.button}>
          Subscribe
        </Button>
      </form>
    </section>
  );
}
