import React from "react";

import { SocialLinks } from "./SocialLinks";

import styles from "./Footer.module.css";

export function Footer() {
  return (
    <footer className={styles.footer}>
      <div className={styles.container}>
        <div className={styles.text}>
          Have questions? Email us at XX@XXX.COM
        </div>
        <SocialLinks color="white" size="small" />
      </div>
    </footer>
  );
}
